/**
 *
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved
 */
package com.topcoder.document.index.persistence;

import com.topcoder.document.index.persistence.impl.Demo;
import com.topcoder.document.index.persistence.impl.DocumentIndexPersistenceUtilTests;
import com.topcoder.document.index.persistence.impl.PersistenceConfigurationExceptionTests;
import com.topcoder.document.index.persistence.impl.db.AbstractDBIndexPersistenceTests;
import com.topcoder.document.index.persistence.impl.db.DBUtilTests;
import com.topcoder.document.index.persistence.impl.db.DocumentTests;
import com.topcoder.document.index.persistence.impl.db.FastAccessDBIndexPersistenceTests;
import com.topcoder.document.index.persistence.impl.db.SimpleAccessDBIndexPersistenceTests;
import com.topcoder.document.index.persistence.impl.xml.CollectionIndexHandlerTests;
import com.topcoder.document.index.persistence.impl.xml.DocumentIndexHandlerTests;
import com.topcoder.document.index.persistence.impl.xml.DocumentUsageHandlerTests;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceTests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>This test case aggregates all Unit test cases.</p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * Return all tests.
     *
     * @return all tests
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        //package com.topcoder.document.index.persistence.impl
        suite.addTest(DocumentIndexPersistenceUtilTests.suite());
        suite.addTest(PersistenceConfigurationExceptionTests.suite());
        suite.addTest(Demo.suite());

        //package com.topcoder.document.index.persistence.impl.db
        suite.addTest(AbstractDBIndexPersistenceTests.suite());
        suite.addTest(SimpleAccessDBIndexPersistenceTests.suite());
        suite.addTest(FastAccessDBIndexPersistenceTests.suite());
        suite.addTest(DBUtilTests.suite());
        suite.addTest(DocumentTests.suite());

        //package com.topcoder.document.index.persistence.impl.xml
        suite.addTest(DocumentUsageHandlerTests.suite());
        suite.addTest(CollectionIndexHandlerTests.suite());
        suite.addTest(XmlIndexPersistenceTests.suite());
        suite.addTest(DocumentIndexHandlerTests.suite());

        return suite;
    }

}
