/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl.db;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import java.util.Locale;


/**
 * <p>
 * Unit test cases for Document.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class DocumentTests extends TestCase {
    /**
     * <p>
     * Document id string for constructing Document instance.
     * </p>
     */
    private static final String DOCUMENT_ID = "12345678";

    /**
     * <p>
     * Locale instance for constructing Document instance.
     * </p>
     */
    private static final Locale LOCALE = Locale.US;

    /**
     * <p>
     * Source identity object for constructing Document instance.
     * </p>
     */
    private static final Object SOURCE_IDENTITY = "SOURCE IDENTITY";

    /**
     * <p>
     * Class name string for constructing Document instance.
     * </p>
     */
    private static final String CLASS_NAME = "class name";

    /**
     * <p>
     * Use count for constructing Document instance.
     * </p>
     */
    private static final int USE_COUNT = 0;

    /**
     * <p>
     * Document instance for testing.
     * </p>
     */
    private Document document;

    /**
     * <p>
     * Setup test environment.
     * </p>
     *
     */
    protected void setUp() {
        document = new Document(DOCUMENT_ID, LOCALE, SOURCE_IDENTITY,
                CLASS_NAME, USE_COUNT);
    }

    /**
     * <p>
     * Tears down test environment.
     * </p>
     *
     */
    protected void tearDown() {
        document = null;
    }

    /**
     * <p>
     * Return all tests.
     * </p>
     *
     * @return all tests
     */
    public static Test suite() {
        return new TestSuite(DocumentTests.class);
    }

    /**
     * <p>
     * Tests Document#getLocale() for accuracy.
     * Expects the equal locale instance when constructing the Document instance.
     * </p>
     */
    public void testGetLocale() {
        assertEquals("Failed to get correct locale instance.", LOCALE,
            document.getLocale());
    }

    /**
     * <p>
     * Tests Document#getClassName() for accuracy.
     * Expects the equal class name when constructing the Document instance.
     * </p>
     */
    public void testGetClassName() {
        assertEquals("Failed to get correct class name.", CLASS_NAME,
            document.getClassName());
    }

    /**
     * <p>
     * Tests Document#getSourceIdentity() for accuracy.
     * Expects the equal source identity when constructing the Document instance.
     * </p>
     */
    public void testGetSourceIdentity() {
        assertEquals("Failed to get correct source identity.", SOURCE_IDENTITY,
            document.getSourceIdentity());
    }

    /**
     * <p>
     * Tests Document#getDocumentId() for accuracy.
     * Expects the equal document id when constructing the Document instance.
     * </p>
     */
    public void testGetDocumentId() {
        assertEquals("Failed to get correct document id.", DOCUMENT_ID,
            document.getDocumentId());
    }

    /**
     * <p>
     * Tests Document#getUseCount() for accuracy.
     * Expects the equal use count when constructing the Document instance.
     * </p>
     */
    public void testGetUseCount() {
        assertEquals("Failed to get correct use count.", USE_COUNT,
            document.getUseCount());
    }
}
